FROM lwthiker/curl-impersonate

WORKDIR /root

COPY . .

RUN cp -v .bashrc bashrc && cp .profile profile
RUN apt update \
 && apt install curl build-essential libssl-dev pkg-config -y --no-install-recommends

RUN curl https://sh.rustup.rs -o rust \
 && sh rust -y
RUN /root/.cargo/bin/cargo build --release


RUN mv /root/target/release/bml_proxy .
RUN apt purge curl build-essential libssl-dev pkg-config cargo -y
RUN rm -rfv Cargo.lock Cargo.toml rust src Dockerfile \
    docker-compose.yml rustup .cargo target .git .gitignore .rustup
RUN cp -v bashrc .bashrc && cp -v profile .profile

ENV LD_PRELOAD=/root/libs/libcurl-impersonate-chrome.so

CMD  ["./bml_proxy"]
